﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Drawing;
using System.Collections;
using System.Windows.Forms;
using System.Data;

namespace Form_legal
{
   public  static  class Cartogram
    {
       static string date = DateTime.Now.ToString("yyyy-MM-dd");

       public static ArrayList BindA()
       {
           ArrayList al = new ArrayList();
           string sql = "select * from A_type";
           DataSet ds = MYHelper.SQLHelper.GetSetData(sql);
           if (ds.Tables[0].Rows.Count > 0)
           {
               for (int j = 0; j < ds.Tables[0].Rows.Count; j++)
               {
                   al.Add(ds.Tables[0].Rows[j]["name"].ToString());
               }
           }
           return al;
       }
       public static ArrayList BindB(string type)
       {
           ArrayList al = new ArrayList();
           string sql = "select * from B_type where aname='" + type + "'";
           DataSet ds = MYHelper.SQLHelper.GetSetData(sql);
           if (ds.Tables[0].Rows.Count > 0)
           {
               for (int j = 0; j < ds.Tables[0].Rows.Count; j++)
               {
                   al.Add(ds.Tables[0].Rows[j]["bname"].ToString());
               }
           }

           return al;
       }
       public static ArrayList BindC(string type)
       {
           ArrayList al = new ArrayList();
           string sql = "select * from C_type where bname='" + type + "'";
           DataSet ds = MYHelper.SQLHelper.GetSetData(sql);
           if (ds.Tables[0].Rows.Count > 0)
           {
               for (int j = 0; j < ds.Tables[0].Rows.Count; j++)
               {
                   al.Add(ds.Tables[0].Rows[j]["cname"].ToString());
               }
           }

           return al;
       }
       //一级统计图
       public static void CreateTestImage(PictureBox pictureBox1, PictureBox pictureBox2)
       {
           ArrayList a = BindA();
           //把连接字串指定为一个常量
           float Total = MYHelper.SQLHelper.ExecuteScalar("select count(*) from L_consult");//获取总的条目数
           #region
           //设置字体，fonttitle为主标题的字体
           Font fontlegend = new Font("verdana", 9);
           Font fonttitle = new Font("verdana", 10, FontStyle.Bold);

           //背景宽
           int width = 350;
           int bufferspace = 15;
           int legendheight = fontlegend.Height * 12 + bufferspace; //高度
           int titleheight = fonttitle.Height + bufferspace;
           int height = width + legendheight + titleheight + bufferspace;//白色背景高
           int pieheight = width;
           Rectangle pierect = new Rectangle(0, titleheight, width, pieheight);

           //加上各种随机色
           ArrayList colors = new ArrayList();
           Random rnd = new Random();
           for (int i = 0; i < 50; i++)
               colors.Add(new SolidBrush(Color.FromArgb(rnd.Next(255), rnd.Next(255), rnd.Next(255))));

           //创建一个bitmap实例
           Bitmap objbitmap = new Bitmap(width, height);
           Graphics objgraphics = Graphics.FromImage(objbitmap);

           Bitmap objbitmap1 = new Bitmap(width, height);
           Graphics objgraphics1 = Graphics.FromImage(objbitmap1);

           //画一个白色背景
           objgraphics.FillRectangle(new SolidBrush(Color.White), 0, 0, width, height);

           //画一个亮黄色背景 
           objgraphics.FillRectangle(new SolidBrush(Color.Beige), pierect);

           //以下为画饼图(有几行row画几个)
           float currentdegree = 0.0f;
           #endregion
           int childtype = 0;
           ArrayList coun = new ArrayList();
           for (int i = 0; i < a.Count; i++)
           {
               //子事件总数
               childtype = MYHelper.SQLHelper.ExecuteScalar("Select count(*) From L_consult Where type Like '" + "%" + a[i].ToString() + "%" + "'");
               //画子事件总数
               objgraphics.FillPie((SolidBrush)colors[i], pierect, currentdegree, Convert.ToSingle(childtype) / Total * 360);
               currentdegree += Convert.ToSingle(childtype) / Total * 360;
               coun.Add(childtype);
           }

           //以下为生成主标题
           SolidBrush blackbrush = new SolidBrush(Color.Black);
           SolidBrush bluebrush = new SolidBrush(Color.Blue);
           string title = " 律师事务所统计饼状图: " + "\n \n\n";
           StringFormat stringFormat = new StringFormat();
           stringFormat.Alignment = StringAlignment.Center;
           stringFormat.LineAlignment = StringAlignment.Center;
           objgraphics.DrawString(title, fonttitle, blackbrush, new Rectangle(0, 10, width, titleheight), stringFormat);

           //列出各字段与得数目
           objgraphics1.DrawRectangle(new Pen(Color.White, 2), 0, 0, 400, 400);

           objgraphics1.DrawString("---------------咨询事件统计信息---------------------", fontlegend, bluebrush, 0, 10);
           objgraphics1.DrawString("统计单位: " + "律师事务所", fontlegend, blackbrush, 40, 40);
           objgraphics1.DrawString("统计年份: " + date, fontlegend, blackbrush, 40, 70);
           objgraphics1.DrawString("事件咨询总数: " + Convert.ToString(Total), fontlegend, blackbrush, 40, 100);
           int kuandu = 100;
           int y = 100;
           int x = 40;
           for (int i = 0; i < a.Count; i++)
           {
               kuandu += 30;
               y += 30;
               objgraphics1.DrawString(a[i] + "事件: " + (coun[i]), fontlegend, blackbrush, x, kuandu);
               objgraphics1.FillRectangle((SolidBrush)colors[i], 20, y, 10, 10);
               objgraphics1.DrawString("所占比率: " + Convert.ToString((Convert.ToSingle(coun[i]) / Total) * 100) + " %", fontlegend, blackbrush, 160, kuandu);
           }
           pictureBox1.Image = objbitmap;
           pictureBox2.Image = objbitmap1;
       }

       //二级统计图
       public static void CreateTestImage(PictureBox pictureBox1, PictureBox pictureBox2, string type)
       {
           ArrayList a = BindB(type);
           //把连接字串指定为一个常量
           float Total = MYHelper.SQLHelper.ExecuteScalar("Select count(*) From L_consult Where type Like '" + "%" + type + "%" + "'");//获取总的条目数
           #region
           //设置字体，fonttitle为主标题的字体
           Font fontlegend = new Font("verdana", 9);
           Font fonttitle = new Font("verdana", 10, FontStyle.Bold);

           //背景宽
           int width = 350;
           int bufferspace = 15;
           int legendheight = fontlegend.Height * 12 + bufferspace; //高度
           int titleheight = fonttitle.Height + bufferspace;
           int height = width + legendheight + titleheight + bufferspace;//白色背景高
           int pieheight = width;
           Rectangle pierect = new Rectangle(0, titleheight, width, pieheight);

           //加上各种随机色
           ArrayList colors = new ArrayList();
           Random rnd = new Random();
           for (int i = 0; i < 50; i++)
               colors.Add(new SolidBrush(Color.FromArgb(rnd.Next(255), rnd.Next(255), rnd.Next(255))));

           //创建一个bitmap实例
           Bitmap objbitmap = new Bitmap(width, height);
           Graphics objgraphics = Graphics.FromImage(objbitmap);

           Bitmap objbitmap1 = new Bitmap(width, height);
           Graphics objgraphics1 = Graphics.FromImage(objbitmap1);

           //画一个白色背景
           objgraphics.FillRectangle(new SolidBrush(Color.White), 0, 0, width, height);

           //画一个亮黄色背景 
           objgraphics.FillRectangle(new SolidBrush(Color.Beige), pierect);

           //以下为画饼图(有几行row画几个)
           float currentdegree = 0.0f;
           #endregion
           int childtype = 0;
           ArrayList coun = new ArrayList();
           for (int i = 0; i < a.Count; i++)
           {
               //子事件总数
               childtype = MYHelper.SQLHelper.ExecuteScalar("Select count(*) From L_consult Where type Like '" + "%" + a[i].ToString() + "%" + "'");
               //画通过人数
               objgraphics.FillPie((SolidBrush)colors[i], pierect, currentdegree, Convert.ToSingle(childtype) / Total * 360);
               currentdegree += Convert.ToSingle(childtype) / Total * 360;
               coun.Add(childtype);
           }

           //以下为生成主标题
           SolidBrush blackbrush = new SolidBrush(Color.Black);
           SolidBrush bluebrush = new SolidBrush(Color.Blue);
           string title = " 律师事务所统计饼状图: " + "\n \n\n";
           StringFormat stringFormat = new StringFormat();
           stringFormat.Alignment = StringAlignment.Center;
           stringFormat.LineAlignment = StringAlignment.Center;
           objgraphics.DrawString(title, fonttitle, blackbrush, new Rectangle(0, 10, width, titleheight), stringFormat);

           //列出各字段与得数目
           objgraphics1.DrawRectangle(new Pen(Color.White, 2), 0, 0, 500, 500);

           objgraphics1.DrawString("---------------咨询事件统计信息---------------------", fontlegend, bluebrush, 0, 10);
           objgraphics1.DrawString("统计单位: " + "律师事务所", fontlegend, blackbrush, 40, 40);
           // objgraphics1.DrawString("【统计时间:】" + date, fontlegend, blackbrush, 40, 40);
           objgraphics1.DrawString("事件咨询总数: " + Convert.ToString(Total), fontlegend, blackbrush, 40, 60);
           int kuandu = 60;
           int y = 60;
           int x = 40;
           for (int i = 0; i < a.Count; i++)
           {
               kuandu += 20;
               y += 20;
               objgraphics1.DrawString(a[i] + "事件: " + (coun[i]), fontlegend, blackbrush, x, kuandu);
               objgraphics1.FillRectangle((SolidBrush)colors[i], 20, y, 10, 10);
               objgraphics1.DrawString("所占比率: " + Convert.ToString((Convert.ToSingle(coun[i]) / Total) * 100) + " %", fontlegend, blackbrush, 200, kuandu);
           }
           pictureBox1.Image = objbitmap;
           pictureBox2.Image = objbitmap1;
       }

       //三级统计图
       public static void CreateThreeImage(PictureBox pictureBox1, PictureBox pictureBox2, string bname)
       {
           ArrayList a = BindC(bname);
           //把连接字串指定为一个常量
           float Total = MYHelper.SQLHelper.ExecuteScalar("Select count(*) From L_consult Where type Like '" + "%" + bname + "%" + "'");//获取总的条目数
           #region
           //设置字体，fonttitle为主标题的字体
           Font fontlegend = new Font("verdana", 9);
           Font fonttitle = new Font("verdana", 10, FontStyle.Bold);

           //背景宽
           int width = 350;
           int bufferspace = 15;
           int legendheight = fontlegend.Height * 12 + bufferspace; //高度
           int titleheight = fonttitle.Height + bufferspace;
           int height = width + legendheight + titleheight + bufferspace;//白色背景高
           int pieheight = width;
           Rectangle pierect = new Rectangle(0, titleheight, width, pieheight);

           //加上各种随机色
           ArrayList colors = new ArrayList();
           Random rnd = new Random();
           for (int i = 0; i < 80; i++)
               colors.Add(new SolidBrush(Color.FromArgb(rnd.Next(255), rnd.Next(255), rnd.Next(255))));

           //创建一个bitmap实例
           Bitmap objbitmap = new Bitmap(width, height);
           Graphics objgraphics = Graphics.FromImage(objbitmap);

           Bitmap objbitmap1 = new Bitmap(width, height);
           Graphics objgraphics1 = Graphics.FromImage(objbitmap1);

           //画一个白色背景
           objgraphics.FillRectangle(new SolidBrush(Color.White), 0, 0, width, height);

           //画一个亮黄色背景 
           objgraphics.FillRectangle(new SolidBrush(Color.Beige), pierect);

           //以下为画饼图(有几行row画几个)
           float currentdegree = 0.0f;
           #endregion
           int childtype = 0;
           ArrayList coun = new ArrayList();
           for (int i = 0; i < a.Count; i++)
           {
               //子事件总数
               childtype = MYHelper.SQLHelper.ExecuteScalar("Select count(*) From L_consult Where type Like '" + "%" + a[i].ToString() + "%" + "'");
               //画通过人数
               objgraphics.FillPie((SolidBrush)colors[i], pierect, currentdegree, Convert.ToSingle(childtype) / Total * 360);
               currentdegree += Convert.ToSingle(childtype) / Total * 360;
               coun.Add(childtype);
           }

           //以下为生成主标题
           SolidBrush blackbrush = new SolidBrush(Color.Black);
           SolidBrush bluebrush = new SolidBrush(Color.Blue);
           string title = " 律师事务所统计饼状图: " + "\n \n\n";
           StringFormat stringFormat = new StringFormat();
           stringFormat.Alignment = StringAlignment.Center;
           stringFormat.LineAlignment = StringAlignment.Center;
           objgraphics.DrawString(title, fonttitle, blackbrush, new Rectangle(0, 10, width, titleheight), stringFormat);

           //列出各字段与得数目
           objgraphics1.DrawRectangle(new Pen(Color.White, 2), 0, 0, 400, 500);

           objgraphics1.DrawString("---------------咨询事件统计信息---------------------", fontlegend, bluebrush, 0, 10);
           objgraphics1.DrawString("统计单位: " + "律师事务所", fontlegend, blackbrush, 40, 40);
           // objgraphics1.DrawString("【统计时间:】" + date, fontlegend, blackbrush, 40, 40);
           objgraphics1.DrawString("事件咨询总数: " + Convert.ToString(Total), fontlegend, blackbrush, 40, 60);
           int kuandu = 60;
           int y = 60;
           int x = 40;
           for (int i = 0; i < a.Count; i++)
           {
               kuandu += 20;
               y += 20;
               objgraphics1.DrawString(a[i] + "事件: " + (coun[i]), fontlegend, blackbrush, x, kuandu);
               objgraphics1.FillRectangle((SolidBrush)colors[i], 20, y, 10, 10);
               objgraphics1.DrawString("所占比率: " + Convert.ToString((Convert.ToSingle(coun[i]) / Total) * 100) + " %", fontlegend, blackbrush, 220, kuandu);
           }
           pictureBox1.Image = objbitmap;
           pictureBox2.Image = objbitmap1;
       }












       /*
       //一级统计图
       public static void CartogramImage(PictureBox pictureBox1, PictureBox pictureBox2)
       {
           //把连接字串指定为一个常量

           float Total = MYHelper.SQLHelper.ExecuteScalar("select count(*) from L_consult");
           //设置字体，fonttitle为主标题的字体
           Font fontlegend = new Font("verdana", 9);
           Font fonttitle = new Font("verdana", 10, FontStyle.Bold);

           //背景宽
           int width = 350;
           int bufferspace = 15;
           int legendheight = fontlegend.Height * 12 + bufferspace; //高度
           int titleheight = fonttitle.Height + bufferspace;
           int height = width + legendheight + titleheight + bufferspace;//白色背景高
           int pieheight = width;
           Rectangle pierect = new Rectangle(0, titleheight, width, pieheight);

           //加上各种随机色
           ArrayList colors = new ArrayList();
           Random rnd = new Random();
           for (int i = 0; i < 3; i++)
               colors.Add(new SolidBrush(Color.FromArgb(rnd.Next(255), rnd.Next(255), rnd.Next(255))));

           //创建一个bitmap实例
           Bitmap objbitmap = new Bitmap(width, height);
           Graphics objgraphics = Graphics.FromImage(objbitmap);

           Bitmap objbitmap1 = new Bitmap(width, height);
           Graphics objgraphics1 = Graphics.FromImage(objbitmap1);

           //画一个白色背景
           objgraphics.FillRectangle(new SolidBrush(Color.White), 0, 0, width, height);

           //画一个亮黄色背景 
           objgraphics.FillRectangle(new SolidBrush(Color.Beige), pierect);

           //以下为画饼图(有几行row画几个)
           float currentdegree = 0.0f;

           //民事事件总数
           int mishi = MYHelper.SQLHelper.ExecuteScalar("Select count(*) From L_consult Where type Like '%民事%'");
           //画通过人数

           objgraphics.FillPie((SolidBrush)colors[0], pierect, currentdegree,
            Convert.ToSingle(mishi) / Total * 360);
           currentdegree += Convert.ToSingle(mishi) / Total * 360;

           //刑事件总数
           int xingshi = MYHelper.SQLHelper.ExecuteScalar("Select count(*) From L_consult Where type Like '%刑事%'");
           //画通过人数
           objgraphics.FillPie((SolidBrush)colors[1], pierect, currentdegree,
            Convert.ToSingle(xingshi) / Total * 360);
           currentdegree += Convert.ToSingle(xingshi) / Total * 360;

           //行政人数饼状图
           float xingzheng = Convert.ToSingle(Total - mishi - xingshi);
           objgraphics.FillPie((SolidBrush)colors[2], pierect, currentdegree,
           xingzheng / Total * 360);
           currentdegree += xingzheng / Total * 360;

           //以下为生成主标题
           SolidBrush blackbrush = new SolidBrush(Color.Black);
           SolidBrush bluebrush = new SolidBrush(Color.Blue);
           string title = " 律师事务所统计饼状图: " + "\n \n\n";
           StringFormat stringFormat = new StringFormat();
           stringFormat.Alignment = StringAlignment.Center;
           stringFormat.LineAlignment = StringAlignment.Center;
           objgraphics.DrawString(title, fonttitle, blackbrush, new Rectangle(0, 10, width, titleheight), stringFormat);

           //列出各字段与得数目
           objgraphics1.DrawRectangle(new Pen(Color.Red, 2), 0, 0, 300, 400);

           objgraphics1.DrawString("---------------咨询事件统计信息---------------------", fontlegend, bluebrush, 0, 10);
           objgraphics1.DrawString("统计单位: " + "律师事务所", fontlegend, blackbrush, 40, 60);
           objgraphics1.DrawString("统计年份: " + date, fontlegend, blackbrush, 40, 90);
           //objgraphics.DrawString("统计期数: " + this.ddlSpan.SelectedItem.Text, 
           //fontlegend, blackbrush, 20, height - legendheight + fontlegend.Height * 5 + 1);

           objgraphics1.DrawString("事件咨询总数: " + Convert.ToString(Total), fontlegend, blackbrush, 40, 140);
           objgraphics1.FillRectangle((SolidBrush)colors[2], 20, 170, 10, 10);
           objgraphics1.DrawString("行政咨询: " + (xingzheng), fontlegend, blackbrush, 40, 170);
           objgraphics1.FillRectangle((SolidBrush)colors[0], 20, 200, 10, 10);
           objgraphics1.DrawString("民事咨询: " + Convert.ToString(mishi), fontlegend, blackbrush, 40, 200);
           objgraphics1.FillRectangle((SolidBrush)colors[1], 20, 230, 10, 10);
           objgraphics1.DrawString("刑事咨询: " + Convert.ToString(xingshi), fontlegend, blackbrush, 40, 230);


           objgraphics1.DrawString("民事咨询比率: " + Convert.ToString((mishi / Total) * 100) + " %", fontlegend, blackbrush, 40, 280);
           objgraphics1.DrawString("刑事咨询比率: " + Convert.ToString((xingshi / Total) * 100) + " %", fontlegend, blackbrush, 40, 310);
           objgraphics1.DrawString("行政咨询比率: " + Convert.ToString((xingzheng / Total) * 100) + " %", fontlegend, blackbrush, 40, 340);

           pictureBox1.Image = objbitmap;
           pictureBox2.Image = objbitmap1;
       }
       //一级统计图
       public static void CreateImage(PictureBox pictureBox1, PictureBox pictureBox2)
       {
           //把连接字串指定为一个常量

           float Total = MYHelper.SQLHelper.ExecuteScalar("select count(*) from L_consult");
           //设置字体，fonttitle为主标题的字体
           Font fontlegend = new Font("verdana", 9);
           Font fonttitle = new Font("verdana", 10, FontStyle.Bold);

           //背景宽
           int width = 350;
           int bufferspace = 15;
           int legendheight = fontlegend.Height * 12 + bufferspace; //高度
           int titleheight = fonttitle.Height + bufferspace;
           int height = width + legendheight + titleheight + bufferspace;//白色背景高
           int pieheight = width;
           Rectangle pierect = new Rectangle(0, titleheight, width, pieheight);

           //加上各种随机色
           ArrayList colors = new ArrayList();
           Random rnd = new Random();
           for (int i = 0; i < 3; i++)
               colors.Add(new SolidBrush(Color.FromArgb(rnd.Next(255), rnd.Next(255), rnd.Next(255))));

           //创建一个bitmap实例
           Bitmap objbitmap = new Bitmap(width, height);
           Graphics objgraphics = Graphics.FromImage(objbitmap);

           Bitmap objbitmap1 = new Bitmap(width, height);
           Graphics objgraphics1 = Graphics.FromImage(objbitmap1);

           //画一个白色背景
           objgraphics.FillRectangle(new SolidBrush(Color.White), 0, 0, width, height);

           //画一个亮黄色背景 
           objgraphics.FillRectangle(new SolidBrush(Color.Beige), pierect);

           //以下为画饼图(有几行row画几个)
           float currentdegree = 0.0f;

           //民事事件总数
           int mishi = MYHelper.SQLHelper.ExecuteScalar("Select count(*) From L_consult Where type Like '%民事%'");
           //画通过人数
         
           objgraphics.FillPie((SolidBrush)colors[0], pierect, currentdegree,
            Convert.ToSingle(mishi) / Total * 360);
           currentdegree += Convert.ToSingle(mishi) / Total * 360;

           //刑事件总数
           int xingshi = MYHelper.SQLHelper.ExecuteScalar("Select count(*) From L_consult Where type Like '%刑事%'");
           //画通过人数
           objgraphics.FillPie((SolidBrush)colors[1], pierect, currentdegree,
            Convert.ToSingle(xingshi) / Total * 360);
           currentdegree += Convert.ToSingle(xingshi) / Total * 360;

           //行政人数饼状图
           float xingzheng = Convert.ToSingle(Total - mishi - xingshi);
           objgraphics.FillPie((SolidBrush)colors[2], pierect, currentdegree,
           xingzheng / Total * 360);
           currentdegree += xingzheng / Total * 360;

           //以下为生成主标题
           SolidBrush blackbrush = new SolidBrush(Color.Black);
           SolidBrush bluebrush = new SolidBrush(Color.Blue);
           string title = " 律师事务所统计饼状图: " + "\n \n\n";
           StringFormat stringFormat = new StringFormat();
           stringFormat.Alignment = StringAlignment.Center;
           stringFormat.LineAlignment = StringAlignment.Center;
           objgraphics.DrawString(title, fonttitle, blackbrush, new Rectangle(0, 10, width, titleheight), stringFormat);

           //列出各字段与得数目
           objgraphics1.DrawRectangle(new Pen(Color.Red, 2), 0, 0, 300, 400);

           objgraphics1.DrawString("---------------咨询事件统计信息---------------------", fontlegend, bluebrush,0,10);
           objgraphics1.DrawString("统计单位: " + "律师事务所", fontlegend, blackbrush, 40, 60);
           objgraphics1.DrawString("统计年份: " + date, fontlegend, blackbrush, 40, 90);
           //objgraphics.DrawString("统计期数: " + this.ddlSpan.SelectedItem.Text, 
           //fontlegend, blackbrush, 20, height - legendheight + fontlegend.Height * 5 + 1);

           objgraphics1.DrawString("事件咨询总数: " + Convert.ToString(Total), fontlegend, blackbrush, 40, 140);
           objgraphics1.FillRectangle((SolidBrush)colors[2], 20, 170, 10, 10);
           objgraphics1.DrawString("行政咨询: " + (xingzheng), fontlegend, blackbrush, 40, 170);
           objgraphics1.FillRectangle((SolidBrush)colors[0], 20, 200, 10, 10);
           objgraphics1.DrawString("民事咨询: " + Convert.ToString(mishi), fontlegend, blackbrush, 40, 200);
           objgraphics1.FillRectangle((SolidBrush)colors[1], 20, 230, 10, 10);
           objgraphics1.DrawString("刑事咨询: " + Convert.ToString(xingshi), fontlegend, blackbrush, 40, 230);


           objgraphics1.DrawString("民事咨询比率: " + Convert.ToString((mishi / Total) * 100) + " %", fontlegend, blackbrush, 40, 280);
           objgraphics1.DrawString("刑事咨询比率: " + Convert.ToString((xingshi / Total) * 100) + " %", fontlegend, blackbrush, 40, 310);
           objgraphics1.DrawString("行政咨询比率: " + Convert.ToString((xingzheng / Total) * 100) + " %", fontlegend, blackbrush, 40, 340);
          
            pictureBox1.Image = objbitmap;
            pictureBox2.Image = objbitmap1;
       }
       //二级统计图
       public static void CreateTwoImage(PictureBox pictureBox1, PictureBox pictureBox2, string one, string two)
       {
           //把连接字串指定为一个常量
           string sql = "select count(*) from L_consult Where type Like '" + "%" + one + "%" + "'";
           float Total = MYHelper.SQLHelper.ExecuteScalar(sql);
           //设置字体，fonttitle为主标题的字体
           Font fontlegend = new Font("verdana", 9);
           Font fonttitle = new Font("verdana", 10, FontStyle.Bold);

           //背景宽
           int width = 350;
           int bufferspace = 15;
           int legendheight = fontlegend.Height * 12 + bufferspace; //高度
           int titleheight = fonttitle.Height + bufferspace;
           int height = width + legendheight + titleheight + bufferspace;//白色背景高
           int pieheight = width;
           Rectangle pierect = new Rectangle(0, titleheight, width, pieheight);

           //加上各种随机色
           ArrayList colors = new ArrayList();
           Random rnd = new Random();
           for (int i = 0; i < 2; i++)
               colors.Add(new SolidBrush(Color.FromArgb(rnd.Next(255), rnd.Next(255), rnd.Next(255))));

           //创建一个bitmap实例
           Bitmap objbitmap = new Bitmap(width, height);
           Graphics objgraphics = Graphics.FromImage(objbitmap);
           Bitmap objbitmap1 = new Bitmap(width, height);
           Graphics objgraphics1 = Graphics.FromImage(objbitmap1);

           //画一个白色背景
           objgraphics.FillRectangle(new SolidBrush(Color.White), 0, 0, width, height);

           //画一个亮黄色背景 
           objgraphics.FillRectangle(new SolidBrush(Color.Beige), pierect);

           //以下为画饼图(有几行row画几个)
           float currentdegree = 0.0f;

           //二级比例
           int mishi = MYHelper.SQLHelper.ExecuteScalar("Select count(*) From L_consult Where type  Like '" + "%" + two + "%" + "'");
         
           objgraphics.FillPie((SolidBrush)colors[1], pierect, currentdegree,
            Convert.ToSingle(mishi) / Total * 360);
           currentdegree += Convert.ToSingle(mishi) / Total * 360;


           //其他饼状图
           float xingzheng = Convert.ToSingle(Total - mishi);
           objgraphics.FillPie((SolidBrush)colors[0], pierect, currentdegree,
           xingzheng / Total * 360);
           currentdegree += xingzheng / Total * 360;


           //以下为生成主标题
           SolidBrush blackbrush = new SolidBrush(Color.Black);
           SolidBrush bluebrush = new SolidBrush(Color.Blue);
           string title = " 律师事务所统计饼状图: " + "\n \n\n";
           StringFormat stringFormat = new StringFormat();
           stringFormat.Alignment = StringAlignment.Center;
           stringFormat.LineAlignment = StringAlignment.Center;
           objgraphics.DrawString(title, fonttitle, blackbrush, new Rectangle(0, 10, width, titleheight), stringFormat);

           //列出各字段与得数目
           objgraphics1.DrawRectangle(new Pen(Color.Red, 2), 0, 0, 300, 400);

           objgraphics1.DrawString("---------------咨询事件统计信息---------------------", fontlegend, bluebrush, 0, 10);
           objgraphics1.DrawString("统计单位: " + "律师事务所", fontlegend, blackbrush, 40, 60);
           objgraphics1.DrawString("统计年份: " + date, fontlegend, blackbrush, 40, 90);
           //objgraphics.DrawString("统计期数: " + this.ddlSpan.SelectedItem.Text, 
           //fontlegend, blackbrush, 20, height - legendheight + fontlegend.Height * 5 + 1);

           objgraphics1.DrawString(one + "事件咨询总数: " + Convert.ToString(Total), fontlegend, blackbrush, 40, 140);
           objgraphics1.FillRectangle((SolidBrush)colors[0], 20, 170, 10, 10);
           objgraphics1.DrawString("其他事件: " + (xingzheng), fontlegend, blackbrush, 40, 170);
           objgraphics1.FillRectangle((SolidBrush)colors[1], 20, 200, 10, 10);
           objgraphics1.DrawString(two+"事件: " + Convert.ToString(mishi), fontlegend, blackbrush, 40, 200);
         
           objgraphics1.DrawString(one+"咨询比率: " + Convert.ToString((mishi / Total) * 100) + " %", fontlegend, blackbrush, 40, 280);
    
           objgraphics1.DrawString(two+"咨询比率: " + Convert.ToString((xingzheng / Total) * 100) + " %", fontlegend, blackbrush, 40, 340);

           pictureBox1.Image = objbitmap;
           pictureBox2.Image = objbitmap1;
       }
       */
    }
}
