﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

using ExpTab;
using System.Resources;
namespace Form_legal
{
    public partial class Fm_Main : Form
    {

        #region 构造函数接收用户名、管理权限
        private string Name;
        private string Type;
        private int ID;
        public Fm_Main() { }
        public Fm_Main(int id,string name, string type)
        {
            InitializeComponent();
            this.Name = name;
            this.Type = type;
            this.ID = id;
        }
        #endregion

        #region 主要方法
        private TabPage tbUser = null;
        private TabPage tbApply = null;
        private TabPage tbPrint = null;
        private TabPage tbGraph = null;
        private TabPage tbType = null;
        //判断选项卡是否存在
        private Boolean ErgodicModiForm(string MainTabControlKey, TabControl objTabControl)
        {
            //遍历选项卡判断是否存在该子窗体  
            foreach (Control con in objTabControl.Controls)
            {
                TabPage tab = (TabPage)con;
                if (tab.Name == MainTabControlKey)
                {
                    return false;//存在  
                }
            }
            return true;//不存在  
        }

        //查询律师方法
        private void Moth_lvshi()
        {
            if (ErgodicModiForm("sbuse", tabControl1) == true)
            {
                tbUser = new TabPage("查询");
                tbUser.Name = "sbuse";
                tabControl1.Controls.Add(tbUser);

                tabuser form = new tabuser("律师");
                form.TopLevel = false;
                form.FormBorderStyle = FormBorderStyle.None;
                form.WindowState = FormWindowState.Maximized;
                form.BackColor = Color.White;
                form.Anchor = AnchorStyles.Top | AnchorStyles.Left | AnchorStyles.Right;
                form.Show();
                tbUser.Controls.Add(form);
            }
            tabControl1.SelectedTab = tbUser;
        }
        //查询管理员方法
        private void Moth_guanli()
        {
            if (ErgodicModiForm("sguse", tabControl1) == true)
            {
                tbUser = new TabPage("查询");
                tbUser.Name = "sguse";
                tabControl1.Controls.Add(tbUser);

                tabuser form = new tabuser("管理员");
                form.TopLevel = false;
                form.FormBorderStyle = FormBorderStyle.None;
                form.WindowState = FormWindowState.Maximized;
                form.BackColor = Color.White;
                form.Anchor = AnchorStyles.Top | AnchorStyles.Left | AnchorStyles.Right;
                form.Show();
                tbUser.Controls.Add(form);
            }
            tabControl1.SelectedTab = tbUser;
        }
        //我要咨询方法
        private void Moth_Apply()
        {
               Apply form = new Apply(Type);
            if (ErgodicModiForm("tbapply", tabControl1) == true)
            {
                tbApply = new TabPage("我要咨询");

                tbApply.Name = "tbapply";
                tabControl1.Controls.Add(tbApply);

               
                form.TopLevel = false;
                form.FormBorderStyle = FormBorderStyle.None;
                form.WindowState = FormWindowState.Maximized;
                form.BackColor = Color.White;
                form.Anchor = AnchorStyles.Top | AnchorStyles.Left | AnchorStyles.Right;
                form.Show();
                tbApply.Controls.Add(form);
            }
           
            tabControl1.SelectedTab = tbApply;
        }
        //打印咨询报表方法
        private void Moth_Print()
        {
           if (ErgodicModiForm("tbprint1", tabControl1) == true)
            {
                tbPrint = new TabPage("打印用户报表");
                tbPrint.Name = "tbprint1";
                tabControl1.Controls.Add(tbPrint);

                tabuser form = new tabuser(Type);
                form.TopLevel = false;
                form.FormBorderStyle = FormBorderStyle.None;
                form.WindowState = FormWindowState.Maximized;
                form.BackColor = Color.White;
                form.Anchor = AnchorStyles.Top | AnchorStyles.Left | AnchorStyles.Right;
                form.Show();
                tbPrint.Controls.Add(form);
            }
            tabControl1.SelectedTab = tbPrint;
        }
        //打印咨询报表方法
        private void Moth_Print1()
        {
            if (ErgodicModiForm("tbprint", tabControl1) == true)
            {
                tbPrint = new TabPage("打印咨询报表");
                tbPrint.Name = "tbprint";
                tabControl1.Controls.Add(tbPrint);

                tabapply form = new tabapply();
                form.TopLevel = false;
                form.FormBorderStyle = FormBorderStyle.None;
                form.WindowState = FormWindowState.Maximized;
                form.BackColor = Color.White;
                form.Anchor = AnchorStyles.Top | AnchorStyles.Left | AnchorStyles.Right;
                form.Show();
                tbPrint.Controls.Add(form);
            }
           
            tabControl1.SelectedTab = tbPrint;
        }
        //用户管理
        private void Moth_User()
        {
            if (ErgodicModiForm("tbuse", tabControl1) == true)
            {
                tbUser = new TabPage("用户管理");
                tbUser.Name = "tbuse";
                tabControl1.Controls.Add(tbUser);

                UserManage form = new UserManage();
                form.TopLevel = false;
                form.FormBorderStyle = FormBorderStyle.None;
                form.WindowState = FormWindowState.Maximized;
                form.BackColor = Color.White;
                form.Anchor = AnchorStyles.Top | AnchorStyles.Left | AnchorStyles.Right;
                form.Show();
                tbUser.Controls.Add(form);
            }
            tabControl1.SelectedTab = tbUser;
        }
        //
        //咨询类型管理
        private void Moth_Type1()
        {
            if (ErgodicModiForm("mytype1", tabControl1) == true)
            {
                tbType = new TabPage("主类型管理");
                tbType.Name = "mytype1";
                tabControl1.Controls.Add(tbType);

                OneType form = new OneType();
                form.TopLevel = false;
                form.FormBorderStyle = FormBorderStyle.None;
                form.WindowState = FormWindowState.Maximized;
                form.BackColor = Color.White;
                form.Anchor = AnchorStyles.Top | AnchorStyles.Left | AnchorStyles.Right;
                form.Show();
                tbType.Controls.Add(form);
            }
            tabControl1.SelectedTab = tbType;
        }
        //二级咨询类型管理
        private void Moth_Type2()
        {
            if (ErgodicModiForm("mytype2", tabControl1) == true)
            {
                tbType = new TabPage("父类型管理");
                tbType.Name = "mytype2";
                tabControl1.Controls.Add(tbType);

                TwoType form = new TwoType();
                form.TopLevel = false;
                form.FormBorderStyle = FormBorderStyle.None;
                form.WindowState = FormWindowState.Maximized;
                form.BackColor = Color.White;
                form.Anchor = AnchorStyles.Top | AnchorStyles.Left | AnchorStyles.Right;
                form.Show();
                tbType.Controls.Add(form);
            }
            tabControl1.SelectedTab = tbType;
        }
        //三级咨询类型管理
        private void Moth_Type3()
        {
            if (ErgodicModiForm("mytype3", tabControl1) == true)
            {
                tbType = new TabPage("子类型管理");
                tbType.Name = "mytype3";
                tabControl1.Controls.Add(tbType);

                ThreeType form = new ThreeType();
                form.TopLevel = false;
                form.FormBorderStyle = FormBorderStyle.None;
                form.WindowState = FormWindowState.Maximized;
                form.BackColor = Color.White;
                form.Anchor = AnchorStyles.Top | AnchorStyles.Left | AnchorStyles.Right;
                form.Show();
                tbType.Controls.Add(form);
            }
            tabControl1.SelectedTab = tbType;
        }

        //图表分析
        private void Moth_Graph()
        {
            if (ErgodicModiForm("tbgraph", tabControl1) == true)
            {
                tbGraph = new TabPage("图表分析");
                tbGraph.Name = "tbgraph";
                tabControl1.Controls.Add(tbGraph);

                Graph form = new Graph();
                form.TopLevel = false;
                form.FormBorderStyle = FormBorderStyle.None;
                form.WindowState = FormWindowState.Maximized;
                form.BackColor = Color.White;
                form.Anchor = AnchorStyles.Top | AnchorStyles.Left | AnchorStyles.Right;
                form.Show();
                tbGraph.Controls.Add(form);
            }
            tabControl1.SelectedTab = tbGraph;
        }
        //二级图表分析
        private void Moth_TwoGraph()
        {
            if (ErgodicModiForm("tbtwograph", tabControl1) == true)
            {
                tbGraph = new TabPage("二级图表分析");
                tbGraph.Name = "tbtwograph";
                tabControl1.Controls.Add(tbGraph);

                GraphTwo form = new GraphTwo();
                form.WindowState = FormWindowState.Maximized;
                form.TopLevel = false;
                form.FormBorderStyle = FormBorderStyle.None;
                form.BackColor = Color.White;
                form.Anchor = AnchorStyles.Top | AnchorStyles.Left | AnchorStyles.Right;
                form.Show();
                tbGraph.Controls.Add(form);
            }
            tabControl1.SelectedTab = tbGraph;
        }
        //三级图表分析
        private void Moth_ThreeGraph()
        {
            if (ErgodicModiForm("tbthreegraph", tabControl1) == true)
            {
                tbGraph = new TabPage("三级图表分析");
                tbGraph.Name = "tbthreegraph";
                tabControl1.Controls.Add(tbGraph);

                GraphThree form = new GraphThree();
                form.TopLevel = false;
                form.FormBorderStyle = FormBorderStyle.None;
                form.WindowState = FormWindowState.Maximized;
                form.BackColor = Color.White;
                form.Anchor = AnchorStyles.Top | AnchorStyles.Left | AnchorStyles.Right;
                form.Show();
                tbGraph.Controls.Add(form);
            }
            tabControl1.SelectedTab = tbGraph;
        }
        #endregion

        private void Fm_Main_Load(object sender, EventArgs e)
        {
            this.txtdate.Text = DateTime.Now.ToString();
            this.name.Text = "欢迎【" +this.Type+":"+this.Name + "】登录本系统！";
            if (this.Type == "管理员")
            {
                用户管理ToolStripMenuItem2.Visible = true;
                toolStripButton4.Visible = true;
                toolStripButton3.Visible = true;//图表分析
                Moth_Apply();
            }
            else
            {
                用户管理ToolStripMenuItem2.Visible = false;
                toolStripButton4.Visible = false;
                toolStripButton3.Visible = false;//图表分析
                图表分析.Visible = false;
                类型管理ToolStripMenuItem.Visible = false;
                HideNotes();
            }
            //节点树的展开
            this.treeView1.ExpandAll();
          
          
            //绘制的方式OwnerDrawFixed表示由窗体绘制大小也一样
            this.tabControl1.DrawMode = TabDrawMode.OwnerDrawFixed;
            this.tabControl1.Padding = new System.Drawing.Point(CLOSE_SIZE, CLOSE_SIZE);
            this.tabControl1.DrawItem +=new DrawItemEventHandler(tabControl1_DrawItem);
            this.tabControl1.MouseDown += new MouseEventHandler(tabControl1_MouseDown);
          
        }
        //private List<TreeNode> nodeList = new List<TreeNode>();
     
        public void HideNotes()
        {
            for (int i = 0; i < this.treeView1.Nodes.Count; i++)
            {
                FetchNode(this.treeView1.Nodes[i]);//递归根节点的所有子节点
            }
        }
        private void FetchNode(TreeNode node)
        {
            //nodeList.Add(node);
            for (int i = 0; i < node.Nodes.Count; i++)
            {
                if (node.Text == "报表")
                {
                    treeView1.Nodes.Remove(node.Nodes[0]);
                }
                if (node.Text == "法律服务中心")
                {
                    treeView1.Nodes.Remove(node.Nodes[2]);
                }

                if (node.Text == "统计图")
                {
                    treeView1.Nodes.Remove(node);
                }

                else
                {
                    FetchNode(node.Nodes[i]);
                }
            }
        }

        #region  绘制tabControl的关闭按钮，以及关闭功能的实现
        private void tabControl1_DrawItem(object sender, DrawItemEventArgs e)
        {      
            try
            {
                Rectangle myTabRect = this.tabControl1.GetTabRect(e.Index);
                //先添加TabPage属性   
                e.Graphics.DrawString(this.tabControl1.TabPages[e.Index].Text, this.Font, SystemBrushes.ControlText, myTabRect.X + 4, myTabRect.Y + 4);
                //再画一个矩形框
                using (Pen p = new Pen(Color.White))
                {
                    myTabRect.Offset(myTabRect.Width - (CLOSE_SIZE + 3), 2);
                    myTabRect.Width = CLOSE_SIZE;
                    myTabRect.Height = CLOSE_SIZE;
                    e.Graphics.DrawRectangle(p, myTabRect);
                }
                //填充矩形框
                Color recColor = e.State == DrawItemState.Selected ? Color.White : Color.White;
                using (Brush b = new SolidBrush(recColor))
                {
                    e.Graphics.FillRectangle(b, myTabRect);
                }
                //画关闭符号
                using (Pen objpen = new Pen(Color.Black))
                {
                   
                    //使用图片
                    Bitmap bt = new Bitmap(image);
                    Point p5 = new Point(myTabRect.X, 4);
                    e.Graphics.DrawImage(bt, p5);
                    //e.Graphics.DrawString(this.MainTabControl.TabPages[e.Index].Text, this.Font, objpen.Brush, p5);
                }
                e.Graphics.Dispose();
            }
            catch (Exception)
            { }
        }
       //鼠标作用事件设置
        void tabControl1_MouseDown(object sender, MouseEventArgs e)
        {
            if (e.Button == MouseButtons.Left)
            {

                int x = e.X, y = e.Y;
                //计算关闭区域   
                Rectangle myTabRect = this.tabControl1.GetTabRect(this.tabControl1.SelectedIndex);
                myTabRect.Offset(myTabRect.Width - (CLOSE_SIZE + 3), 2);
                myTabRect.Width = CLOSE_SIZE;
                myTabRect.Height = CLOSE_SIZE;
                //如果鼠标在区域内就关闭选项卡   
                bool isClose = x > myTabRect.X && x < myTabRect.Right && y > myTabRect.Y && y < myTabRect.Bottom;
                if (isClose == true)
                {
                    this.tabControl1.TabPages.Remove(this.tabControl1.SelectedTab);
                }
            }
        }
        const int CLOSE_SIZE = 15;

        //tabPage标签图片
      

        Bitmap image = new Bitmap(@"C:\db\btnClose.png");
      #endregion


        private void 刷新ToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Moth_Apply();
        }
        //系统注销
        private void 推出系统ToolStripMenuItem_Click(object sender, EventArgs e)
        {
            DialogResult dr = MessageBox.Show("确定要退出本程序?", "警告", MessageBoxButtons.YesNoCancel);
            if (dr == DialogResult.Yes)
            {
                Application.Exit();
            }
        }
        //重新登陆
        private void 重新登录ToolStripMenuItem_Click(object sender, EventArgs e)
        {
            this.Hide();
            Fm_login fm = new Fm_login();
            fm.Show();
        }

        #region 视图显示
        private void 平铺ToolStripMenuItem1_Click(object sender, EventArgs e)
        {
            LayoutMdi(MdiLayout.TileHorizontal);
        }

        private void 垂直ToolStripMenuItem1_Click(object sender, EventArgs e)
        {
            LayoutMdi(MdiLayout.TileVertical);
        }

        private void 层叠ToolStripMenuItem1_Click(object sender, EventArgs e)
        {
            LayoutMdi(MdiLayout.Cascade);
        }
        #endregion

        private void 状态栏ToolStripMenuItem_Click(object sender, EventArgs e)
        {
            statusStrip1.Visible = 状态栏ToolStripMenuItem.Checked;
        }

        private void 帮助ToolStripMenuItem_Click(object sender, EventArgs e)
        {

        }
        //用户管理
        private void 用户管理ToolStripMenuItem2_Click(object sender, EventArgs e)
        {
            Moth_User();
        }
     
        //我要咨询
        private void 我要咨询_Click(object sender, EventArgs e)
        {
            Moth_Apply();
        }
 
        //打印报表
        private void 打印报表_Click(object sender, EventArgs e)
        {
        }
        private void 用户报表导出ToolStripMenuItem_Click(object sender, EventArgs e)
        {
            if (this.Type == "管理员")
            {
                Moth_Print();
            }
            else
            {
                用户报表导出ToolStripMenuItem.Visible = false;
            }
        }

        private void 咨询报表导出ToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Moth_Print1();
        }
        //图表分析
        private void 图表分析_Click(object sender, EventArgs e)
        {
            Moth_Graph();
            
        }
        private void 二级统计组合ToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Moth_TwoGraph();
        }
        private void 三级统计组合ToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Moth_ThreeGraph();
        }
        private void 主类型管理ToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Moth_Type1();
        }

        private void 二级类型管理ToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Moth_Type2();
        }

        private void 三级类型管理ToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Moth_Type3();
        }
        private void 修改个人信息ToolStripMenuItem_Click(object sender, EventArgs e)
        {
            rePwd fm = new rePwd(ID,Name,Type);
            fm.Show();
        }
        //我要咨询
        private void toolStripButton1_Click(object sender, EventArgs e)
        {
            Moth_Apply();
        }
        //打印报表
        private void toolStripButton2_Click(object sender, EventArgs e)
        {
            Moth_Print1();
        }
        //图表分析
        private void toolStripButton3_Click(object sender, EventArgs e)
        {
            Moth_Graph();
        }

       
        //用户管理
        private void toolStripButton4_Click(object sender, EventArgs e)
        {
            Moth_User();
        }
        //重新登陆
        private void toolStripButton5_Click(object sender, EventArgs e)
        {
            this.Hide();
            Fm_login fm = new Fm_login();
            fm.Show();
        }
        //系统注销
        private void toolStripButton6_Click(object sender, EventArgs e)
        {
            DialogResult dr = MessageBox.Show("确定要退出本程序?", "警告", MessageBoxButtons.YesNoCancel);
            if (dr == DialogResult.Yes)
            {
                Application.Exit();
            }
        }
        //树节点的显示
        private void treeView1_AfterSelect_1(object sender, TreeViewEventArgs e)
        {
            try
            {
                switch (e.Node.Text.ToString())//字符串
                {
                    case "法律服务中心"://注意字符串夹引号，以下均是
                        Moth_Apply();
                        break;
                    case "我要咨询"://注意字符串夹引号，以下均是
                        Moth_Apply();
                        break;
                    case "用户报表导出"://注意字符串夹引号，以下均是
                            Moth_Print();
                        break;
                    case "咨询报表导出"://注意字符串夹引号，以下均是
                        Moth_Print1();
                        break;

                    case "统计图"://注意字符串夹引号，以下均是
                            Moth_Graph();
                        break;
                    case "二级统计图"://注意字符串夹引号，以下均是
                        Moth_TwoGraph();
                        break;
                    case "三级统计图"://注意字符串夹引号，以下均是
                        Moth_ThreeGraph();
                        break;
                    case "用户查询"://注意字符串夹引号，以下均是
                            Moth_User();
                        break;
                    case "律师"://注意字符串夹引号，以下均是
                            Moth_lvshi();
                        break;
                    case "管理员"://注意字符串夹引号，以下均是
                            Moth_guanli();
                        break;
                }
            }
            catch { return; }
        }
        #region 代码生成节点
    //      public MainForm()
    //    {
    //        InitializeComponent();
 
    //        this.treeView.CheckBoxes = true;
    //        this.treeView.ShowLines = false;
    //        this.treeView.DrawMode = System.Windows.Forms.TreeViewDrawMode.OwnerDrawAll;
    //        this.treeView.DrawNode += new System.Windows.Forms.DrawTreeNodeEventHandler(this.treeView_DrawNode);
 
    //        for (int i = 0; i < 10; ++i)
    //        {
    //            this.treeView.Nodes.Add(string.Format("First level {0}", i));
 
    //            for (int j = 0; j < 5; j++)
    //            {
    //                this.treeView.Nodes[i].Nodes.Add(string.Format("Second level {0}", j));
 
    //                for (int k = 0; k < 5; k++)
    //                {
    //                    this.treeView.Nodes[i].Nodes[j].Nodes.Add(string.Format("Third level {0}", k));
    //                }
    //            }
    //        }
    //    }
 
    //    private void treeView_DrawNode(object sender, DrawTreeNodeEventArgs e)
    //    {
    //        if (IsThirdLevel(e.Node))
    //        {
    //            Color backColor, foreColor;
 
    //            if ((e.State & TreeNodeStates.Selected) == TreeNodeStates.Selected)
    //            {
    //                backColor = SystemColors.Highlight;
    //                foreColor = SystemColors.HighlightText;
    //            }
    //            else if ((e.State & TreeNodeStates.Hot) == TreeNodeStates.Hot)
    //            {
    //                backColor = SystemColors.HotTrack;
    //                foreColor = SystemColors.HighlightText;
    //            }
    //            else
    //            {
    //                backColor = e.Node.BackColor;
    //                foreColor = e.Node.ForeColor;
    //            }
 
    //            using (SolidBrush brush = new SolidBrush(backColor))
    //            {
    //                e.Graphics.FillRectangle(brush, e.Node.Bounds);
    //            }
 
    //            TextRenderer.DrawText(e.Graphics, e.Node.Text, this.treeView.Font, e.Node.Bounds, foreColor, backColor);
 
    //            if ((e.State & TreeNodeStates.Focused) == TreeNodeStates.Focused)
    //            {
    //                ControlPaint.DrawFocusRectangle(e.Graphics, e.Node.Bounds, foreColor, backColor);
    //            }
 
    //            e.DrawDefault = false;
    //        }
    //        else
    //        {
    //            e.DrawDefault = true;
    //        }
    //    }
 
    //    private static bool IsThirdLevel(TreeNode node)
    //    {
    //        return node.Parent != null && node.Parent.Parent != null;
    //    }
    //}
        #endregion
        private static bool IsThirdLevel(TreeNode node)
        {
            return node.Parent != null && node.Parent.Parent != null;
        }
        //treeview高亮显示
        private void treeView1_DrawNode(object sender, DrawTreeNodeEventArgs e)
        {
            if (IsThirdLevel(e.Node))
            {
                Color backColor, foreColor;
                if ((e.State & TreeNodeStates.Selected) == TreeNodeStates.Selected)
                {
                    backColor = SystemColors.Highlight;
                    foreColor = SystemColors.HighlightText;
                }
                else if ((e.State & TreeNodeStates.Hot) == TreeNodeStates.Hot)
                {
                    backColor = SystemColors.HotTrack;
                    foreColor = SystemColors.HighlightText;
                }
                else
                {
                    backColor = e.Node.BackColor;
                    foreColor = e.Node.ForeColor;
                }
                Rectangle newBounds = e.Node.Bounds;
                newBounds.X = 60;
                using (SolidBrush brush = new SolidBrush(backColor))
                {
                    e.Graphics.FillRectangle(brush, newBounds);
                }
                e.Graphics.DrawImage(treeView1.ImageList.Images[3], new Point(e.Bounds.X + 42, e.Bounds.Y));
                TextRenderer.DrawText(e.Graphics, e.Node.Text, this.treeView1.Font, newBounds, foreColor, backColor);
                if ((e.State & TreeNodeStates.Focused) == TreeNodeStates.Focused)
                {
                    ControlPaint.DrawFocusRectangle(e.Graphics, newBounds, foreColor, backColor);
                }
                e.DrawDefault = false;
            }
            else
            {
                e.DrawDefault = true;
            }
        }

        //private void treeView1_BeforeSelect(object sender, TreeViewCancelEventArgs e)
        //{
        //    try
        //    {
        //        if (this.Type == "律师")
        //        {
        //            //switch (e.Node.Text.ToString())//字符串
        //            //{

        //            //    case "统计图"://注意字符串夹引号，以下均是
        //            //        e.Node.ForeColor = Color.Gray;
        //            //        treeView1.Nodes.Remove(e.Node);
        //            //        break;
        //            //    case "二级统计图"://注意字符串夹引号，以下均是
        //            //        e.Node.ForeColor = Color.Gray;
        //            //        treeView1.Nodes.Remove(e.Node);
        //            //        break;
        //            //    case "三级统计图"://注意字符串夹引号，以下均是
        //            //        e.Node.ForeColor = Color.Gray;
        //            //        //MessageBox.Show("权限不足，不能访问！！");
        //            //        treeView1.Nodes.Remove(e.Node);
        //            //        break;
        //            //    case "用户查询"://注意字符串夹引号，以下均是
        //            //        e.Node.ForeColor = Color.Gray;
        //            //        treeView1.Nodes.Remove(e.Node);
        //            //        break;
        //            //    case "律师"://注意字符串夹引号，以下均是
        //            //        e.Node.ForeColor = Color.Gray;
        //            //        MessageBox.Show("权限不足，不能访问！！");
        //            //        treeView1.Nodes.Remove(e.Node);
        //            //        break;
        //            //    case "管理员"://注意字符串夹引号，以下均是
        //            //        e.Node.ForeColor = Color.Gray;
        //            //        treeView1.Nodes.Remove(e.Node);
        //            //        break;
        //            //    case "用户报表导出"://注意字符串夹引号，以下均是
        //            //        e.Node.ForeColor = Color.Gray;
        //            //        treeView1.Nodes.Remove(e.Node);
        //            //        break;
        //            //}
        //        }
        //        else
        //        {
        //            return;
        //        }
        //    }
        //    catch { return; }
        //}
        //类似qq最小化
        private void Fm_Main_SizeChanged(object sender, EventArgs e)
        {
            if (this.WindowState == FormWindowState.Minimized)
            {
                this.Hide();
                this.notifyIcon1.Visible = true;
            }
        }

        private void notifyIcon1_Click(object sender, EventArgs e)
        {
            this.Visible = true;
            this.WindowState = FormWindowState.Maximized;
        }

      

     

    

     
  

       

      
   
 
    }
}
