﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Xml.Linq;

using MYHelper;
namespace Form_legal
{
    public partial class Fm_login : Form
    {
        public Fm_login()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
               Login();
        }
        private void Login()
        {
            if (MYHelper.SQLHelper.TestConn() == true)
            {
                if (textBox1.Text == "")
                {
                    MessageBox.Show("用户名不能为空！！");
                }
                else if (textBox2.Text == "")
                {
                    MessageBox.Show("密码不能为空！！");
                }
                else
                {
                    string sql = "select * from L_user where type='" + comboBox1.Text + "' and name='" + textBox1.Text + "' and pwd='" + textBox2.Text + "'";
                    DataTable dt = SQLHelper.GetTableData(sql);
                    if (dt.Rows.Count > 0)
                    {
                        string t1 = dt.Rows[0][1].ToString();
                        if (dt.Rows[0][1].ToString() == textBox1.Text.ToString() && dt.Rows[0][2].ToString() == textBox2.Text.ToString())
                        {
                            int id = Convert.ToInt32(dt.Rows[0]["ID"].ToString());
                            string type = dt.Rows[0][3].ToString();
                            string name = this.textBox1.Text.ToString(); ;
                            this.Hide();
                            Fm_Main fm = new Fm_Main(id, name, type);
                            fm.Show();
                            this.Hide();
                        }
                        else
                        {
                            MessageBox.Show("用户名和密码不匹配！");
                            this.textBox1.Focus();
                            this.textBox2.Text = "";
                        }
                    }
                    else
                    {
                        MessageBox.Show("用户名和密码,管理权限不匹配！");
                        this.textBox1.Focus();
                        this.textBox2.Text = "";
                    }
                }
            }
            else
            {
                MessageBox.Show("数据库IP地址配置错误");
            }

        }
        private void Fm_login_Load(object sender, EventArgs e)
        {
            this.Height = 325;
           // button2.Visible = false;
        }
        string file = @"C:\db\App.config";
       
        private void button2_Click(object sender, EventArgs e)
        {
            if (this.Height == 325)
            {
                button2.Text = "服务器设置 ↑";
                //把连接数据库的字符串分割，并填充至文本框
                try
                {
                    XDocument doc = XDocument.Load(file);
                    //Provider=Microsoft.ACE.OLEDB.12.0;Data Source=//10.130.16.136/db/Legal.accdb
                    string connstring = doc.Elements("configuration").Elements("connectionStrings").Elements("add").Attributes("connectionString").FirstOrDefault().Value;
                    string[] array1 = connstring.Split(';');
                    string str = array1[1].Split('=')[1];//  ->//10.130.16.136/db/Legal.accdb
                    string[] newarray = str.Split('/');
                    this.textBox3.Text = newarray[2].Split('/')[0].ToString();
                }
                catch { }

                this.Height = 465;
            }
            else
            {
                button2.Text = "服务器设置 ↓";
                this.Height = 325;
            }
        }
      

        private void button4_Click(object sender, EventArgs e)
        {
            try
            {
                save();
                MessageBox.Show("保存成功！");
            }
            catch (Exception ex)
            {
                MessageBox.Show("保存失败！！");
            }
        }
        private void save()
        {
            try
            {
                if (textBox3.Text != "")
                {
                    XDocument doc = XDocument.Load(file); 
                    //sql数据库数据库配置
                    //string connstring = "initial catalog=Highway;Data Source=" + this.textBox3.Text + ";uid=" + this.textBox4.Text + ";pwd=" + this.textBox5.Text + ";";
                   //access数据库远程配置
                    //Provider=Microsoft.ACE.OLEDB.12.0;Data Source=//10.130.16.136/db/Legal.accdb
                    string connstring = @"Provider=Microsoft.ACE.OLEDB.12.0;Data Source=//" + textBox3.Text.ToString()+ "/db/Legal.accdb";
                    doc.Elements("configuration").Elements("connectionStrings").Elements("add").Attributes("connectionString").FirstOrDefault().SetValue(connstring);
                    doc.Save(file);
                    //由于DBHelperSQL中的ConnectionString(公共静态变量)未被修改引发的bug
                    XDocument xdoc = XDocument.Load(file);
                    string val = doc.Elements("configuration").Elements("connectionStrings").Elements("add").Attributes("connectionString").FirstOrDefault().Value;
                    SQLHelper.connstr = val;
                }
                else
                {
                    return;
                }
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message+ex.StackTrace);
                //MessageBox.Show("数据库保存失败！！");
            }
        }
        private void button3_Click(object sender, EventArgs e)
        {
            try
            {
                if (textBox3.Text == null)
                {
                    MessageBox.Show("数据库配置不能为空！！");
                    return;
                }
                else
                {
                    save();
                    //DBHelper中的GetSingle方法会引发异常，由于catch中抛出异常，已修改
                    if (SQLHelper.TestConn() == true)
                    {
                        MessageBox.Show("数据库连接测试成功！");
                    }
                    else
                    {
                        MessageBox.Show("数据库连接测试失败，请核对数据库服务器地址、用户名和密码！");
                    }
                }
            }
            catch(Exception ex)
            {
                MessageBox.Show("数据库配置失败！！");
            }
        }

        private void button5_Click(object sender, EventArgs e)
        {
            XDocument doc = XDocument.Load(file);
            string connstring = doc.Elements("configuration").Elements("connectionStrings").Elements("add").Attributes("connectionString").FirstOrDefault().Value;
            string[] array1 = connstring.Split(';');
            string str = array1[1].Split('=')[1];//  ->//10.130.16.136/db/Legal.accdb
            string[] newarray = str.Split('/');
            this.textBox3.Text = newarray[2].Split('/')[0].ToString();
            //OpenFileDialog ofd = new OpenFileDialog();
            //ofd.Title = "打开";
            //ofd.Filter="Access数据库|*.accdb"; 
            //if (ofd.ShowDialog() == DialogResult.OK)
            //{
            //    textBox3.Text = ofd.FileName;
            //}
        }
    }
}
